<template>
    <ul class="px-6 py-12">
        <li v-for="item in props.items" :key="item.id">
            <Item :item="item" />
        </li>
    </ul>
</template>

<script setup lang="ts">
import { defineProps } from 'vue';
import ItemType from '../types/ItemType'
import Item from './Item.vue';

const props = defineProps<{
    items: ItemType[]
}>()

</script>

<style lang="postcss"></style>